=== src/lib/ebus/CMakeLists.txt ===
add_definitions(-Wconversion -Wno-unused-parameter)

set(libebus_a_SOURCES
    result.h result.cpp
    symbol.h symbol.cpp
    filereader.h filereader.cpp
    datatype.h datatype.cpp
    data.h data.cpp
    device.h device_enhanced.h
    device_trans.h device_trans.cpp
    transport.h transport.cpp
    protocol.h protocol.cpp
    protocol_direct.h protocol_direct.cpp
    message.h message.cpp
    stringhelper.h stringhelper.cpp
)

if(HAVE_CONTRIB)
  add_subdirectory(contrib)
endif(HAVE_CONTRIB)

add_library(ebus ${libebus_a_SOURCES})
target_link_libraries(ebus utils ${libebus_a_LIBS})

if(BUILD_TESTING)
  add_subdirectory(test)
endif(BUILD_TESTING)
